#include<stdio.h>
#include<string.h>
int main(){
    char str[256],nova[256],nova2[256];
    int i,j,l,p,t,k,l1,l2;
    gets(str);
    l=strlen(str);




    p=l-1;
    for(i=0;i<l;i++){
    nova[i]=str[p];
    p=p-1;
    }
    l1=strlen(nova);


    t=0;
    for(i=0;i<l1;i++){
       if(nova[i+1]==' '){
          k=i;
          for(j=t;j<=i;j++){
             nova2[j]=nova[k];
             k--;
          }
       nova2[i+1]=' ';
       t=i+2;
       }
       if(nova[i+1]=='\0'){
          k=i;
          for(j=t;j<=i;j++){
             nova2[j]=nova[k];
             k--;
          }
       }
    }
    l2=strlen(nova2);

    printf("%s\n",nova2);

    }
